<?php

/**
 * DNSthingy controller.
 *
 * @category   Apps
 * @package    DNSthingy
 * @subpackage Controllers
 * @author     DNSthingy <support@dnsthingy.com>
 * @copyright  2015 DNSthingy
 * @license    All rights reserved
 * @link       https://www.dnsthingy.com
 */

///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->lang->load('gateway_management');


///////////////////////////////////////////////////////////////////////////////
// Form handler
///////////////////////////////////////////////////////////////////////////////

$buttons = array();
if ($form_type === 'edit') {
    $read_only = FALSE;
    $buttons[] = form_submit_update('submit');
    if ($enabled)
        $buttons[] = anchor_cancel('/app/' . $basename);
} else {
    $read_only = TRUE;
    $buttons[] = anchor_edit('/app/' . $basename . '/settings/edit');
}

///////////////////////////////////////////////////////////////////////////////
// Form
///////////////////////////////////////////////////////////////////////////////

$this->dnsthingy->verify_setup();
$issues = $this->dnsthingy->get_issues();
if ($issues) {
    echo infobox_warning('Warning', implode("<br>\n", $issues));
}

if (!$enabled) {
    echo infobox_warning(lang('gateway_management_disabled_title'), lang('gateway_management_disabled_text'));
}

// Not in gateway mode warning
if (!$this->dnsthingy->is_gateway()) {
    echo infobox_warning(lang('gateway_management_standalone_title'), lang('gateway_management_standalone_msg'));
}

// Using internal DNS warning
elseif ($this->dnsthingy->internal_dns()) {
    echo infobox_warning(lang('gateway_management_internal_dns_title'), lang('gateway_management_internal_dns_msg'));
}

echo form_open($basename . '/settings/edit');
echo form_header(lang('gateway_management_info'));

// box id
if ($box_id) {
    echo field_view(lang('gateway_management_box_id'), $box_id, NULL, NULL, array('id'=>'dnsthingy_boxid'));
}

// Enable
echo field_checkbox('enabled', $enabled, lang('gateway_management_enabled'), $read_only);

// blockpage IP
echo field_input('http_address', $http_address, lang('gateway_management_blockpage_ip'), $read_only);

// buttons
echo field_button_set($buttons);

echo form_footer();
echo form_close();
